## org.opencyc.cycagent.fipaos
Class FipaOsCommunityAdapter.AgreeInformTask

    java.lang.Object
      |
      +--fipaos.agent.task.Task
            |
            +--org.opencyc.cycagent.fipaos.FipaOsCommunityAdapter.AgreeInformTask

Enclosing class:
  FipaOsCommunityAdapter

public class FipaOsCommunityAdapter.AgreeInformTask
extends fipaos.agent.task.Task

Provides for handling the reply to the request message of a fipa-request conversation.

Fields inherited from class fipaos.agent.task.Task
`_children, _lock, _owner, _tm`

Constructor Summary
`FipaOsCommunityAdapter.AgreeInformTask(fipaos.agent.conversation.Conversation fipaRequest)` Constructs a new AgreeInformTask task given the conversation.

Method Summary
`protected void` `startTask()` Starts this task, sends the agree, and sends the reply.

Methods inherited from class fipaos.agent.task.Task

`DFSearchResults, done, done, doneDFSearchTask, errorDFSearchTask, forward, forward, getContext, getNewConversation, getState, handleAcceptProposal, handleAgree, handleCfp, handleConfirm, handleDisconfirm, handleFailure, handleInform, handleInformIf, handleInformRef, handleLateMessage, handleNotUnderstood, handleOther, handlePropagate, handlePropose, handleProxy, handleQueryIf, handleQueryRef, handleRefuse, handleRejectProposal, handleRequest, handleRequestWhen, handleRequestWhenever, handleSubscribe, handleUndeliverableMessage, newTask, newTask, newTask, newTask, newTask, newTask, newTask, newTask, notify, notifyDone, notifyError, notifyMessageFailure, notifyMessageForEndedConversation, notifyTimeout, searchDF, searchDF, searchDF, searchDF, searchDF, sendNotUnderstood, setContext, timeoutDFSearchTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FipaOsCommunityAdapter.AgreeInformTask

    public FipaOsCommunityAdapter.AgreeInformTask(fipaos.agent.conversation.Conversation fipaRequest)

  Constructs a new AgreeInformTask task given the conversation.
  Parameters:
    `fipaRequest` - conversation within which we are replying

Method Detail

### startTask

    protected void startTask()

  Starts this task, sends the agree, and sends the reply.
  Overrides:
    `startTask` in class `fipaos.agent.task.Task`